List colonies
By name; with all=true, the inactive ones too. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
colonies
List colonies
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/colonies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/colonies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/colonies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"altered_count": 123,
"is_active": true,
"address": "<string>",
"caretaker": {
"id": "<string>",
"name": "<string>"
},
"cat_count": 123,
"notes": "<string>",
"last_visit_on": "2023-12-25",
"visits_done": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List colonies
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/colonies \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/colonies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/colonies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"altered_count": 123,
"is_active": true,
"address": "<string>",
"caretaker": {
"id": "<string>",
"name": "<string>"
},
"cat_count": 123,
"notes": "<string>",
"last_visit_on": "2023-12-25",
"visits_done": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
